#ifdef __GNUC__
#    include <PalmOS.h>    // for PRC Tool compatability
#endif
#define MainForm        1000
// *** PUT UI-DEFINITIONS HERE *** //
// Prototypes
static Boolean appHandleEvent (EventPtr pEvent);
static void    mainFormInit (FormPtr pForm);
static Boolean mainFormEventHandler (EventPtr pEvent);
static Boolean doMainMenu (FormPtr pForm, UInt16 command);
// Code
static void startApp() {return;}
static void stopApp()  {return;}
void    *
getObjectPtr (FormPtr pForm, Int16 resourceNo);
static void initp(FormPtr pForm);

    UInt32
PilotMain
   (UInt16  cmd,
    void    *cmdPBP,
    UInt16  launchFlags)
{
    EventType    event;
    UInt16       error;
    if (cmd == sysAppLaunchCmdNormalLaunch)
    {
        startApp();
        FrmGotoForm(MainForm);
        do
        {
            // Wait for an event
            EvtGetEvent(&event, evtWaitForever);
            // ask event handlers, in turn, to deal with the event.
            if (!MenuHandleEvent (0, &event, &error))
            if (!appHandleEvent (&event))
            if (!SysHandleEvent (&event))
                FrmDispatchEvent (&event);
        } while (event.eType != appStopEvent);
        stopApp();
        FrmCloseAllForms();
    }
    return 0;
}
/*
 * top-level event handler for the application.
 */

    static Boolean
appHandleEvent (EventPtr pEvent)
{
    FormPtr pForm;
    Int16   formId;
    Boolean handled = false;
    if (pEvent->eType == frmLoadEvent)
    {
        // Load the resource for the form
        formId = pEvent->data.frmLoad.formID;
        pForm  = FrmInitForm(formId);
        FrmSetActiveForm(pForm);
	initp(pForm);
        // install a form-specific event handler
        if (formId == MainForm)
            FrmSetEventHandler (pForm, mainFormEventHandler);
        // *** ADD NEW FORM HANDLING HERE *** //
        handled = true;
    }
    else if (pEvent->eType == menuEvent)
    {
        handled = doMainMenu(pForm, pEvent->data.menu.itemID);
    } else if (pEvent->eType == keyDownEvent) {
	if (pEvent->data.keyDown.modifiers & 8 && pEvent->data.keyDown.chr >= 0x200 && pEvent->data.keyDown.chr <= 0x2FF)
		handled = true;
    }
    return handled;
}

static void settext(FormPtr pForm, Int16 id, const char *t) {
	MemHandle m = MemHandleNew(StrLen(t)+1);
	char *c = MemHandleLock(m);
	void *f;
	StrCopy(c, t);
	MemHandleUnlock(m);
	f=getObjectPtr(pForm, id);
	FldSetTextHandle(f, m);
	FldDrawField(f);
}

#define A(x)	(0xFFFFF000 | (x))

#define toupper(c) ((c) >= 'a' && c<='z' ? (c) - 'a' + 'A' : c)

static int x2i(const char *x) {
	int r;
	char c;
	r = 0;
	for (; *x; ++x) {
		r*=16;
		c = toupper(*x);
		r |= c>='A' ? c-'A'+10 : c-'0';
	}
	return r;
}

static int isejt(int n) {
	static const int ejtbits[14*4] = {
	0x000, 0x207, 0x300, 0x400,
	0x401, 0x402, 0x403, 0x408,
	0x409, 0x40A, 0x40B, 0x410,
	0x411, 0x412, 0x413, 0x418,
	0x419, 0x41A, 0x41B, 0x41C,
	0x41D, 0x41E, 0x41F, 0x420,
	0x421, 0x422, 0x423, 0x428,
	0x429, 0x42A, 0x42B, 0x430,
	0x431, 0x432, 0x433, 0x504,
	0x505, 0xA05, 0xA1F, 0xA20,
	0xA21, 0xA23, 0xA25, 0xA27,
	0xA29, 0xA2B, 0xA2D, 0xA31,
	0xA33, 0xB0C, 0xB0E, 0xB10,
	0xB12, -1
	};
	int *a;
	for (a = ejtbits; *a >= 0; ++a)
		if (*a == n)
			return 1;
	return 0;
}

#define CLK	0x80
#define DAT	0x01
#define STB	0x04

static void slip() {
	unsigned int i;
	for (i=0;i<10000;++i);
}

static void adj() {
	int d, i;
	unsigned char *dir = (unsigned char *)0xFFFFF428;
	unsigned char *f = (unsigned char *)0xFFFFF429;

	*dir |= 1;
	d = 0x70;

	*f |= STB;
	slip();

	for (i = 0; i < 8; ++i) {
		*f &= ~DAT;
		*f |= (d&1) ? DAT : 0;
		d /= 2;

		slip();
		*f &= ~CLK;
		slip();
		*f |= CLK;
	}
	slip();
	*f &= ~STB;
}

static void initp(FormPtr pForm) {
/*	char s[40];
	StrPrintF(s, "%d", adj());
	settext(pForm, 1000, s);*/
}

static void proba(FormPtr pForm) {
	char s[40];
	const char *a;
	unsigned char *p;
	unsigned short *sh;
	int o;
adj();
	a = FldGetTextPtr((const FieldType *)getObjectPtr(pForm, 1002));
	o = x2i(a);
	p = (unsigned char *)(0xFFFFF000 | o);

	if (isejt(o)) {
		StrPrintF(s, "%X (@%04X)", *p, (unsigned int)((unsigned long)p));
	} else {
		StrPrintF(s, "%X, %04X, %08lX (@%04X)", (int)*p, *(unsigned short*)p, *(unsigned long*)p, (unsigned int)((unsigned long)p));
	}
	settext(pForm, 1000, s);
/*
sh=(unsigned short*)0xFFFFFA36;
*sh = 0x19F;*/
}

/*
 * Event handler for the main form.
 */

    static Boolean
mainFormEventHandler(EventPtr pEvent)
{
    Boolean handled = false;
    FormPtr pForm   = FrmGetActiveForm();
    switch (pEvent->eType)
    {
    case ctlSelectEvent:
	proba(pForm);
	break;
    case frmOpenEvent:    // Form's 1st event
        FrmDrawForm(pForm);
        mainFormInit(pForm);
        handled = true;
        break;
    // *** ADD EVENT HANDLING HERE *** //
    default:
        break;
    }
    return handled;
}
/*
 * This is the menu handler for the main form.
 */
    static Boolean
doMainMenu (FormPtr pForm, UInt16 command)
{
    Boolean    handled    = false;
    switch(command)
    {
    // *** ADD MENU HANDLING HERE *** //
    }
    return handled;
}
/*
 * Startup code for the form.
 */
    static void
mainFormInit (FormPtr pForm)
{
}
    void    *
getObjectPtr (FormPtr pForm, Int16 resourceNo)
{
    UInt16 objIndex=FrmGetObjectIndex(pForm,resourceNo);
    return FrmGetObjectPtr(pForm,objIndex);
}
