#!/bin/sh

if [ -z "$1" ]; then
	echo Usage `basename $0` rawbinfile >&2
	exit 1
fi

tmp=`mktemp`
mv "$tmp" "$tmp.c"

m68k-elf-gcc -c "$tmp.c" -o "$tmp.o"

rm "$tmp.c"

m68k-elf-objcopy --remove-section=.comment "$tmp.o" --remove-section=.text
m68k-elf-objcopy --add-section .text="$1" "$tmp.o"
m68k-elf-objcopy --set-section-flags .text=CONTENTS,ALLOC,LOAD,READONLY,CODE "$tmp.o"

m68k-elf-objdump --disassemble "$tmp.o"

rm "$tmp.o"
