#!/bin/sh

extractlong() {
	((ofs=$2*4))
	hexdump $1 -s $ofs -n 4 -e '4/1 "%02X" "\n"'
}

extractword() {
	((ofs=$2*2))
	hexdump $1 -s $ofs -n 2 -e '2/1 "%02X" "\n"'
}


if [ -z "$1" ]; then
	echo Usage: `basename $0` bexefile
	exit 1
fi

echo 'bexe info:'
echo -n ' magic: '
magic=`extractlong $1 0`
echo -n $magic
if [ "$magic" != B105E3EE ]; then
	echo
	echo Not a BIOS executable! >&2
	exit 1
fi
echo ' (ok)'

echo -n ' progname@: '
extractlong $1 1

echo -n ' entry@: '
extractlong $1 2

echo -n ' data@: '
extractlong $1 3

echo -n ' data size: '
wcalc -q 0x$(extractword $1 8)

echo -n ' bss size: '
wcalc -q 0x$(extractword $1 9)
