;/* Ukradeno s: http://www.google.com/codesearch?hl=en&q=__modsi3+m68k+show:XqkqRMPsFsE:TNFaTRNNKWQ:9MUE9Xd5i24&sa=N&cd=8&ct=rc&cs_p=http://webauth.stanford.edu/source/libgcc-3.4.4.tar.bz2&cs_f=gcc-3.4.4/gcc/config/m68k/lb1sf68.asm */

	.text
	.globl	__divsi3
__divsi3:
	movel	%d2, -(%sp)

	moveq	#1, %d2		/* sign of result stored in d2 (=1 or =-1) */
	movel	%sp@(12), %d1	/* d1 = divisor */
	jpl	DL1
	negl	%d1
	negb	%d2		/* change sign because divisor <0  */
DL1:	movel	%sp@(8), %d0	/* d0 = dividend */
	jpl	DL2
	negl	%d0
	negb	%d2

DL2:	movel	%d1, -(%sp)
	movel	%d0, -(%sp)
	jsr	__udivsi3	/* divide abs(dividend) by abs(divisor) */
	addql	#8, %sp

	tstb	%d2
	jpl	DL3
	negl	%d0

DL3:	movel	(%sp)+, %d2
	rts


	.globl	__udivsi3
__udivsi3:
	movel	%d2, -(%sp)
	movel	%sp@(12), %d1	/* d1 = divisor */
	movel	%sp@(8), %d0	/* d0 = dividend */

	cmpl	#0x10000, %d1	/* divisor >= 2 ^ 16 ?   */
	jcc	UDL3		/* then try next algorithm */
	movel	%d0, %d2
	clrw	%d2
	swap	%d2
	divu	%d1, %d2        /* high quotient in lower word */
	movew	%d2, %d0	/* save high quotient */
	swap	%d0
	movew	%sp@(10), %d2	/* get low dividend + high rest */
	divu	%d1, %d2	/* low quotient */
	movew	%d2, %d0
	jra	UDL6

UDL3:	movel	%d1, %d2	/* use d2 as divisor backup */
UDL4:	lsrl	#1, %d1		/* shift divisor */
	lsrl	#1, %d0		/* shift dividend */
	cmpl	#0x10000, %d1	/* still divisor >= 2 ^ 16 ?  */
	jcc	UDL4
	divu	%d1, %d0	/* now we have 16-bit divisor */
	andl	#0xFFFF, %d0	/* mask out divisor, ignore remainder */

/* Multiply the 16-bit tentative quotient with the 32-bit divisor.  Because of
   the operand ranges, this might give a 33-bit product.  If this product is
   greater than the dividend, the tentative quotient was too large. */
	movel	%d2, %d1
	mulu	%d0, %d1	/* low part, 32 bits */
	swap	%d2
	mulu	%d0, %d2	/* high part, at most 17 bits */
	swap	%d2		/* align high part with low part */
	tstw	%d2		/* high part 17 bits? */
	jne	UDL5		/* if 17 bits, quotient was too large */
	addl	%d2, %d1	/* add parts */
	jcs	UDL5		/* if sum is 33 bits, quotient was too large */
	cmpl	%sp@(8), %d1	/* compare the sum with the dividend */
	jls	UDL6		/* if sum > dividend, quotient was too large */
UDL5:	subql	#1, %d0		/* adjust quotient */

UDL6:	movel	(%sp)+, %d2
	rts

	.globl	__modsi3
__modsi3:
	movel	%sp@(8), %d1	/* d1 = divisor */
	movel	%sp@(4), %d0	/* d0 = dividend */
	movel	%d1, -(%sp)
	movel	%d0, -(%sp)
	jsr	__divsi3
	addql	#8, %sp
	movel	%sp@(8), %d1	/* d1 = divisor */
	movel	%d1, -(%sp)
	movel	%d0, -(%sp)
	jsr	__mulsi3	/* d0 = (a/b)*b */
	addql	#8, %sp
	movel	%sp@(4), %d1	/* d1 = dividend */
	subl	%d0, %d1	/* d1 = a - (a/b)*b */
	movel	%d1, %d0
	rts

	.globl	__mulsi3
__mulsi3:
	movew	%sp@(4), %d0	/* x0 -> d0 */
	muluw	%sp@(10), %d0	/* x0*y1 */
	movew	%sp@(6), %d1	/* x1 -> d1 */
	muluw	%sp@(8), %d1	/* x1*y0 */
	addw	%d1, %d0
	swap	%d0
	clrw	%d0
	movew	%sp@(6), %d1	/* x1 -> d1 */
	muluw	%sp@(10), %d1	/* x1*y1 */
	addl	%d1, %d0

	rts

