#include <cpu.h>

	.globl exceptions
	.globl exceptions_end

	.section .exceptions
exceptions:
	.long stack_end
	.long __startup
	.long t_bus_error
	.long t_address_error
	.long t_illegal_instruction
	.long t_divide_by_zero
	.long 0 ;// t_chk
	.long 0 ;// t_trapv
	.long t_fatal ;// t_privilege_violation
	.long 0 ;// t_trace
	.long 0 ;// t_line_1010_emulator
	.long 0 ;// t_line_1111_emulator
	.space 12*4	;// unassigned, reserved
	.long 0 ;// t_spurious_interrupt
	.long 0 ;//t_autovector_l1
	.long 0 ;//t_autovector_l2
	.long 0 ;//t_autovector_l3
	.long 0 ;//t_autovector_l4
	.long 0 ;//t_autovector_l5
	.long 0 ;//t_autovector_l6
	.long 0 ;//t_autovector_l7
	.long t_trap0
	.space 15*4	;// trap
	.space 16*4	;// unassigned, reserved
	.long t_irq_l0
	.long t_irq_l1
	.long t_irq_l2
	.long t_irq_l3
	.long t_irq_l4
	.long t_irq_l5
	.long t_irq_l6
	.long t_irq_l7
exceptions_end:

	.text

.irp level_id 0,1,2,3,4,5,6,7
t_irq_l\level_id:
	move.l %d0, -(%sp)
	move.l %sp, -(%sp)
	jsr irq_level\level_id
	add.l #4, %sp
	move.l (%sp)+, %d0
	rte
.endr

t_bus_error:
	jsr bus_error
	jmp crash
t_address_error:
	jsr address_error
	jmp crash
t_illegal_instruction:
	jsr illegal_instruction
	jmp crash
t_divide_by_zero:
	jsr divide_by_zero
	jmp crash

t_fatal:
	jsr fatal_exception
crash:
	DI
inf:	HALT
	jmp inf

t_trap0:
	movem.l	%d0-%d3, -(%sp)
	jsr trap0
	add.l #0x10, %sp
	rte
