#ifndef _INTERRUPTS_H_
#define _INTERRUPTS_H_

#define INTR_EMIQ	0x00800000
#define INTR_SAM	0x00400000
#define INTR_IRQ5	0x00100000
#define INTR_IRQ6	0x00080000
#define INTR_IRQ3	0x00040000
#define INTR_IRQ2	0x00020000
#define INTR_IRQ1	0x00010000
#define INTR_INT3	0x00000800
#define INTR_INT2	0x00000400
#define INTR_INT1	0x00000200
#define INTR_INT0	0x00000100
#define INTR_PWM	0x00000080
#define INTR_KB		0x00000040
#define INTR_RTC	0x00000010
#define INTR_WDT	0x00000008
#define INTR_UART	0x00000004
#define INTR_TMR	0x00000002
#define INTR_SPI	0x00000001

#ifndef NULL
# define NULL ((void*)0)
#endif

typedef void (*IRQ_HANDLER)(void *sp);

enum {
	IRQID_KEYS,
	IRQID_UART,
	IRQID_SAM,
	NUM_IRQS
};

void irq_init();
IRQ_HANDLER irq_register(unsigned short id, IRQ_HANDLER func);

#endif
