rom_start = 0x10C00000;
ram_start = 0x00000000;

stack_size = 1024;

OUTPUT_FORMAT(binary);

SECTIONS {
	.text rom_start : {
		LONG(stack_end);
		LONG(__startup);
		*(.text)
		*(.rodata)
	}

	.textterm : {
		. = ALIGN(2);
		inrom_data = .;
	}

	.data ram_start : AT(LOADADDR(.textterm) + SIZEOF(.textterm)) {
		*(.exceptions)
		*(.ramtext)
		*(.data)
		. = ALIGN(2);
	}

	. = inrom_data + SIZEOF(.data);
	inrom_data_end = .;

	.bss ram_start + SIZEOF(.data) : {
		. = ALIGN(2);
		display = .;
		. = . + (160 * 160 * 4 / 8);
		bss_start = .;
		*(.bss)
		. = ALIGN(2);
		*(COMMON)
		. = ALIGN(2);
		bss_end = .;
		. = . + stack_size;
		stack_end = .;

		used_ram_end = .;
	}
}
