#include "lcd.h"
#include "keys.h"
#include "numpick.h"

short numpick_ex(short def, short min, short max, NUMPICK_CALLBACK f) {
	short i = def;

	if (min > max) return -1;
	if (i > max) i = max;
	else if (i < min) i = min;

	for(;;) {
		LCD_putc('\r');
		LCD_putc('>');
		LCD_putdec(i);
		LCD_putc(' ');
		LCD_putc(' ');
		LCD_putc(' ');
		LCD_putc('\b');
		LCD_putc('\b');
		LCD_putc('\b');

		switch(keys_wait()) {
			case HK_UP:
				if (i < max) ++i;
				break;
			case HK_DOWN:
				if (i > min) --i;
				break;
			case HK_B3:
				LCD_putc('\n');
				return i;
		}

		if (f) f(i);
	}
}
