#include <string.h>
#include <cpu.h>

#include "lcd.h"
#include "keys.h"
#include "interrupts.h"
#include "uart.h"

extern unsigned short ram_start;
extern unsigned short inrom_data, inrom_data_end;
extern unsigned short bss_start, bss_end;

void bios_main();

void startup() {
	// inicijalizira data sekciju
	memcpyw(&ram_start, &inrom_data, &inrom_data_end - &inrom_data);
	// nulira bss
	memsetw(&bss_start, 0, &bss_end - &bss_start);

	// inicijalizira sve
	irq_init();
	keys_init();
	LCD_init();
	uart_init();

	// pokrene main
	bios_main();
}
