#include <string.h>

int memcmp(const void *s1, const void *s2, size_t n) {
	const char *cs1 = (const char *)s1;
	const char *cs2 = (const char *)s2;
	for (; n--; ++cs1, ++cs2) {
		if (*cs1 < *cs2) return -1;
		else if (*cs1 > *cs2) return 1;
	}
	return 0;
}

int strcmp(const char *s1, const char *s2) {
	for (; *s1 || *s2; ++s1, ++s2) {
		if (*s1 < *s2) return -1;
		else if (*s1 > *s2) return 1;
	}
	return 0;
}

void *memcpy(void *dest, const void *src, size_t n) {
	unsigned char *destc = (unsigned char *)dest;
	const unsigned char *srcc = (const unsigned char *)src;
	while (n--) *(destc++) = *(srcc++);
	return dest;
}

void *memcpyw(void *dest, const void *src, size_t n) {
	unsigned short *destw = (unsigned short *)dest;
	const unsigned short *srcw = (const unsigned short *)src;
	while (n--) *(destw++) = *(srcw++);
	return dest;
}

void *memset(void *dest, unsigned char c, size_t n) {
	unsigned char *destc = (unsigned char *)dest;
	while (n--) *(destc++) = c;
	return dest;
}

void *memsetw(void *dest, unsigned short w, size_t n) {
	unsigned short *destw = (unsigned short *)dest;
	while (n--) *(destw++) = w;
	return dest;
}

void *memmovew(void *dest, const void *src, size_t n) {
	short *d, *s;
        size_t p;
        if (dest < src) {
                d = (short*)dest;
                s = (short*)src;
                for (p = 0; p < n; ++p, ++d, ++s)
                        *d = *s;
        } else {
                d = ((short*)dest) + n - 1;
                s = ((short*)src) + n - 1;
                for (p = 0; p < n; ++p, --d, --s)
                        *d = *s;
        }
        return dest;
}
