#include "termio.h"

void puts_ex(const char *s, PUTC f) {
	if (!s) {
		puts_ex("(null)", f);
		return;
	}
	while (*s) f(*(s++));
	f('\n');
}

void puthex_ex(unsigned long ul, PUTC f) {
	static const char hex[] = "0123456789ABCDEF";
	short i;
	f('0');
	f('x');
	for (i = 0; i < 8; ++i) {
		f(hex[ul >> 28]);
		ul <<= 4;
	}
	f('\n');
}

void putdec_ex(long i, PUTC f) {
	char buf[11], *t;

	if (i < 0) {
		f('-');
		i = -i;
	}
	if (i == 0) {
		f('0');
		return;
	}

	buf[0] = 0;
	for (t = buf + 1; i; ++t) {
		*t = '0' + i % 10;
		i /= 10;
	}
	while (*(--t))
		f(*t);
}

unsigned long gethex_ex(short n, GETC f) {
	unsigned long r = 0;
	short i;
	char c;
	for (i = 0; i < n; ++i) {
		r <<= 4;
		c = f();
		if (c >= 'A' && c <= 'F')
			r |= c - 'A' + 10;
		else if (c >= 'a' && c <= 'f')
			r |= c - 'a' + 10;
		else if (c >= '0' && c <= '9')
			r |= c - '0';
		else {
			r >>= 4;
			break;
		}
	}
	return r;
}
