#include <cpu.h>

#include "uart.h"
#include "termio.h"

void uart_init() {
	USTCNT = 0xE100;
	UMISC = 0x0080;
	NIPR = 0x0000;
	uart_set_baudrate(UART_B9600);
}

void uart_set_baudrate(unsigned short bdr) {
	UBAUD = bdr;
}

void uart_putc(unsigned char c) {
	while (!(UTX & 0x2000));
	UTX = c;
}

void uart_puts(const char *s) {
	puts_ex(s, (PUTC)uart_putc);
}

void uart_puthex(unsigned long ul) {
	puthex_ex(ul, (PUTC)uart_putc);
}

void uart_putdec(long l) {
	putdec_ex(l, (PUTC)uart_putc);
}

unsigned char uart_getc() {
	unsigned short c;
	while (!((c = URX) & 0x2000));
	return c;
}

short uart_peekc() {
	unsigned short c;
	if (!((c = URX) & 0x2000))
		return -1;
	return c & 0xFF;
}
