#ifndef _BIOS_H_
#define _BIOS_H_

#define TRAP0_LCD_CLEAR			0
#define TRAP0_LCD_PUTC			1
#define TRAP0_LCD_PUTS			2
#define TRAP0_LCD_PUTDEC		3
#define TRAP0_LCD_PUTHEX		4
#define TRAP0_LCD_GOTOXY		5
#define TRAP0_LCD_BIAS			6
#define TRAP0_KEYS_PEEK			7
#define TRAP0_KEYS_WAIT			8
#define TRAP0_FLASH_ERASE_SECTOR	9
#define TRAP0_FLASH_WRITE		10
#define TRAP0_FLASH_ADDRESS_BY_ID	11
#define TRAP0_IRQ_REGISTER		12


#define _TRAP_CALL	"trap #0"

static inline long _trap0_0(unsigned long id) {
	register unsigned long rid asm("%d0") = id;
	asm volatile(_TRAP_CALL : "+d"(rid));
	return rid;
}

static inline long _trap0_1(unsigned long id, unsigned long d1) {
	register unsigned long rid asm("%d0") = id;
	register unsigned long rd1 asm("%d1") = d1;
	asm volatile(_TRAP_CALL : "+d"(rid) : "d"(rd1));
	return rid;
}

static inline long _trap0_2(unsigned long id, unsigned long d1, unsigned long d2) {
	register unsigned long rid asm("%d0") = id;
	register unsigned long rd1 asm("%d1") = d1;
	register unsigned long rd2 asm("%d2") = d2;
	asm volatile(_TRAP_CALL : "+d"(rid) : "d"(rd1), "d"(rd2));
	return rid;
}

static inline long _trap0_3(unsigned long id, unsigned long d1, unsigned long d2, unsigned long d3) {
        register unsigned long rid asm("%d0") = id;
        register unsigned long rd1 asm("%d1") = d1;
        register unsigned long rd2 asm("%d2") = d2;
        register unsigned long rd3 asm("%d3") = d3;
        asm volatile(_TRAP_CALL : "+d"(rid) : "d"(rd1), "d"(rd2), "d"(rd3));
        return rid;
}

static inline long _trap0_4(unsigned long id, unsigned long d1, unsigned long d2, unsigned long d3, unsigned long d4) {
        register unsigned long rid asm("%d0") = id;
        register unsigned long rd1 asm("%d1") = d1;
        register unsigned long rd2 asm("%d2") = d2;
        register unsigned long rd3 asm("%d3") = d3;
        register unsigned long rd4 asm("%d4") = d4;
        asm volatile(_TRAP_CALL : "+d"(rid) : "d"(rd1), "d"(rd2), "d"(rd3), "d"(rd4));
        return rid;
}

#endif
