#ifndef _FLASH_H_
#define _FLASH_H_

#include <types.h>

#define FLASH_E_OK		0
#define FLASH_E_TIMEOUT		1
#define FLASH_E_ODD_ADDR	2

#define FLASH	((volatile unsigned short *)0x10C00000)
#define FLASH_RESET()	FLASH[0x0000] = 0xF0
#define FLASH_CMD(x)	{ \
				FLASH[0x0555] = 0xAA; \
				FLASH[0x02AA] = 0x55; \
				FLASH[0x0555] = (x); \
			}

#ifndef _NO_RAMTEXT_
#define RAMTEXT	__attribute__((section(".ramtext")))
#else
#define RAMTEXT
#endif

unsigned short flash_getid() RAMTEXT;
unsigned short flash_get_num_sectors();
char flash_write(unsigned long addr, unsigned short *data, size_t nwords) RAMTEXT;
unsigned long flash_address_by_id(unsigned char id);
char flash_erase_sector(unsigned char id) RAMTEXT;
char flash_erase() RAMTEXT;

#endif
