#include "font.h"

const FONT font_mono = {
// ASCII 0x00 - NUL - null
    { 0 },
// ASCII 0x01 - SOH - start of heading
    {
        0x1C,   // 00011100
        0x22,   // 00100010
        0x55,   // 01010101
        0x41,   // 01000001
        0x55,   // 01010101
        0x2A,   // 00101010
        0x1C,   // 00011100
        0x00    // 00000000
    },
// ASCII 0x02 - STX - start of text
    { 0 },
// ASCII 0x03 - ETX - end of text
    { 0 },
// ASCII 0x04 - EOT - end of transmit
    { 0 },
// ASCII 0x05 - ENQ - enquiry
    { 0 },
// ASCII 0x06 - ACQ - acknowledge
    { 0 },
// ASCII 0x07 - BEL - bell
    { 0 },
// ASCII 0x08 - BC - backspace
    { 0 },
// ASCII 0x09 - HT - horizontal tab
    { 0 },
// ASCII 0x0A - LF - line feed
    { 0 },
// ASCII 0x0B - VT - vertical tab
    { 0 },
// ASCII 0x0C - FF - form feed
    { 0 },
// ASCII 0x0D - CR - carriage return
    { 0 },
// ASCII 0x0E - SO - shift out
    { 0 },
// ASCII 0x0F - SI - shift in
    { 0 },
// ASCII 0x10 - DLE - data line escape
    { 0 },
// ASCII 0x11 - DC1 - device control 1
    { 0 },
// ASCII 0x12 - DC2 - device control 2
    { 0 },
// ASCII 0x13 - DC3 - device control 3
    { 0 },
// ASCII 0x14 - DC3 - device control 4
    { 0 },
// ASCII 0x15 - NAK - negative acknowledgement
    { 0 },
// ASCII 0x16 - SYN - synchronous idle
    { 0 },
// ASCII 0x17 - ETB - end transmit block
    { 0 },
// ASCII 0x18 - CAN - cancel (aka ctrl-x)
    { 0 },
// ASCII 0x19 - EM - end of medium
    { 0 },
// ASCII 0x1A - SUB - substitute
    { 0 },
// ASCII 0x1B - ESC - escape
    { 0 },
// ASCII 0x1C - FS - file seperator
    { 0 },
// ASCII 0x1D - GS - group separator
    { 0 },
// ASCII 0x1E - RS - record seperator
    { 0 },
// ASCII 0x1F - US - unit seperator
    { 0 },
// ASCII 0x20 - SP - space
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x21 - !
    {
        0x18,   // 00011000
        0x3C,   // 00111100
        0x3C,   // 00111100
        0x18,   // 00011000
        0x18,   // 00011000
        0x00,   // 00000000
        0x18,   // 00011000
        0x00    // 00000000
    },
// ASCII 0x22 - "
    {
        0x66,   // 01100110
        0x66,   // 01100110
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x23 - #
    {
        0x00,   // 00000000
        0x36,   // 00110110
        0x7F,   // 01111111
        0x36,   // 00110110
        0x36,   // 00110110
        0x7F,   // 01111111
        0x36,   // 00110110
        0x00    // 00000000
    },
// ASCII 0x24 - $
    {
        0x18,   // 00011000
        0x3C,   // 00111100
        0x76,   // 01110110
        0x30,   // 00110000
        0x08,   // 00001000
        0x6E,   // 01101110
        0x3C,   // 00111100
        0x18    // 00011000
    },
// ASCII 0x25 - %
    {
        0x60,   // 01100000
        0x96,   // 10010110
        0x6C,   // 01101100
        0x18,   // 00011000
        0x36,   // 00110110
        0x69,   // 01101001
        0x06,   // 00000110
        0x00    // 00000000
    },
// ASCII 0x26 - &
    {
        0x00,   // 00000000
        0x30,   // 00110000
        0x48,   // 01001000
        0x30,   // 00110000
        0x6F,   // 01101111
        0x66,   // 01100110
        0x3B,   // 00111011
        0x00    // 00000000
    },
// ASCII 0x27 - '
    {
        0x18,   // 00011000
        0x18,   // 00011000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x28 - (
    {
        0x0C,   // 00001100
        0x18,   // 00011000
        0x30,   // 00110000
        0x30,   // 00110000
        0x30,   // 00110000
        0x18,   // 00011000
        0x0C,   // 00001100
        0x00    // 00000000
    },
// ASCII 0x29 - )
    {
        0x30,   // 00110000
        0x18,   // 00011000
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x18,   // 00011000
        0x30,   // 00110000
        0x00    // 00000000
    },
// ASCII 0x2A - *
    {
        0x00,   // 00000000
        0x36,   // 00110110
        0x1C,   // 00011100
        0x7F,   // 01111111
        0x1C,   // 00011100
        0x36,   // 00110110
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x2B - +
    {
        0x00,   // 00000000
        0x18,   // 00011000
        0x18,   // 00011000
        0x7E,   // 01111110
        0x18,   // 00011000
        0x18,   // 00011000
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x2C - ,
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x1C,   // 00011100
        0x0C,   // 00001100
        0x18    // 00011000
    },
// ASCII 0x2D - -
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x7E,   // 01111110
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x2E - .
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x1C,   // 00011100
        0x1C,   // 00011100
        0x00    // 00000000
    },
// ASCII 0x2F - /
    {
        0x06,   // 00000110
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x18,   // 00011000
        0x18,   // 00011000
        0x30,   // 00110000
        0x30,   // 00110000
        0x60    // 01100000
    },
// ASCII 0x30 - 0
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x6E,   // 01101110
        0x7E,   // 01111110
        0x76,   // 01110110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x31 - 1
    {
        0x0C,   // 00001100
        0x1C,   // 00011100
        0x7C,   // 01111100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x00    // 00000000
    },
// ASCII 0x32 - 2
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x06,   // 00000110
        0x0C,   // 00001100
        0x38,   // 00111000
        0x60,   // 01100000
        0x7E,   // 01111110
        0x00    // 00000000
    },
// ASCII 0x33 - 3
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x06,   // 00000110
        0x1C,   // 00011100
        0x06,   // 00000110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x34 - 4
    {
        0x30,   // 00110000
        0x30,   // 00110000
        0x36,   // 00110110
        0x66,   // 01100110
        0x7F,   // 01111111
        0x06,   // 00000110
        0x06,   // 00000110
        0x00    // 00000000
    },
// ASCII 0x35 - 5
    {
        0x3E,   // 01111110
        0x60,   // 01100000
        0x60,   // 01100000
        0x7C,   // 01111100
        0x06,   // 00000110
        0x0C,   // 00001100
        0x78,   // 01111000
        0x00    // 00000000
    },
// ASCII 0x36 - 6
    {
        0x1C,   // 00011100
        0x18,   // 00011000
        0x30,   // 00110000
        0x7C,   // 01111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x37 - 7
    {
        0x7E,   // 01111110
        0x06,   // 00000110
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x18,   // 00011000
        0x30,   // 00110000
        0x30,   // 00110000
        0x00    // 00000000
    },
// ASCII 0x38 - 8
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x76,   // 01110110
        0x3C,   // 00111100
        0x6E,   // 01101110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x39 - 9
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x3E,   // 00111110
        0x0C,   // 00001100
        0x18,   // 00011000
        0x38,   // 00111000
        0x00    // 00000000
    },
// ASCII 0x3A - :
    {
        0x00,   // 00000000
        0x1C,   // 00011100
        0x1C,   // 00011100
        0x00,   // 00000000
        0x00,   // 00000000
        0x1C,   // 00011100
        0x1C,   // 00011100
        0x00    // 00000000
    },
// ASCII 0x3B - ;
    {
        0x00,   // 00000000
        0x1C,   // 00011100
        0x1C,   // 00011100
        0x00,   // 00000000
        0x00,   // 00000000
        0x1C,   // 00011100
        0x0C,   // 00001100
        0x18    // 00011000
    },
// ASCII 0x3C - <
    {
        0x06,   // 00000110
        0x0C,   // 00001100
        0x18,   // 00011000
        0x30,   // 00110000
        0x18,   // 00011000
        0x0C,   // 00001100
        0x06,   // 00000110
        0x00    // 00000000
    },
// ASCII 0x3D - =
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x7E,   // 01111110
        0x00,   // 00000000
        0x7E,   // 01111110
        0x00,   // 00000000
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x3E - >
    {
        0x30,   // 00110000
        0x18,   // 00011000
        0x0C,   // 00001100
        0x06,   // 00000110
        0x0C,   // 00001100
        0x18,   // 00011000
        0x30,   // 00110000
        0x00    // 00000000
    },
// ASCII 0x3F - ?
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x0C,   // 00001100
        0x18,   // 00011000
        0x18,   // 00011000
        0x00,   // 00000000
        0x18,   // 00011000
        0x00    // 00000000
    },
// ASCII 0x40 - @
    {
        0x7E,   // 01111110
        0xC3,   // 11000011
        0xCF,   // 11001111
        0xDB,   // 11011011
        0xCF,   // 11001111
        0xC0,   // 11000000
        0x7F,   // 01111111
        0x00    // 00000000
    },
// ASCII 0x41 - A
    {
        0x18,   // 00011000
        0x3C,   // 00111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x7E,   // 01111110
        0x66,   // 01100110
        0x66,   // 01100110
        0x00    // 00000000
    },
// ASCII 0x42 - B
    {
        0x7C,   // 01111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x7C,   // 01111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x7C,   // 01111100
        0x00    // 00000000
    },
// ASCII 0x43 - C
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x60,   // 01100000
        0x60,   // 01100000
        0x60,   // 01100000
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x44 - D
    {
        0x78,   // 01111000
        0x6C,   // 01101100
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x6C,   // 01101100
        0x78,   // 01111000
        0x00    // 00000000
    },
// ASCII 0x45 - E
    {
        0x7E,   // 01111110
        0x60,   // 01100000
        0x60,   // 01100000
        0x7C,   // 01111100
        0x60,   // 01100000
        0x60,   // 01100000
        0x7E,   // 01111110
        0x00    // 00000000
    },
// ASCII 0x46 - F
    {
        0x7E,   // 01111110
        0x60,   // 01100000
        0x60,   // 01100000
        0x7C,   // 01111100
        0x60,   // 01100000
        0x60,   // 01100000
        0x60,   // 01100000
        0x00    // 00000000
    },
// ASCII 0x47 - G
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x60,   // 01100000
        0x60,   // 01100000
        0x6E,   // 01101110
        0x66,   // 01100110
        0x3E,   // 00111110
        0x00    // 00000000
    },
// ASCII 0x48 - H
    {
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3E,   // 01111110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x00    // 00000000
    },
// ASCII 0x49 - I
    {
        0x3C,   // 00111100
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x4A - J
    {
        0x06,   // 00000110
        0x06,   // 00000110
        0x06,   // 00000110
        0x06,   // 00000110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x4B - K
    {
        0x66,   // 01100110
        0x66,   // 01100110
        0x6C,   // 01101100
        0x78,   // 01111000
        0x6C,   // 01101100
        0x66,   // 01100110
        0x66,   // 01100110
        0x00    // 00000000
    },
// ASCII 0x4C - L
    {
        0x60,   // 01100000
        0x60,   // 01100000
        0x60,   // 01100000
        0x60,   // 01100000
        0x60,   // 01100000
        0x60,   // 01100000
        0x7E,   // 01111110
        0x00    // 00000000
    },
// ASCII 0x4D - M
    {
        0x63,   // 01100011
        0x63,   // 01100011
        0x77,   // 01110111
        0x6B,   // 01101011
        0x6B,   // 01101011
        0x63,   // 01100011
        0x63,   // 01100011
        0x00    // 00000000
    },
// ASCII 0x4E - N
    {
        0x63,   // 01100011
        0x73,   // 01110011
        0x7B,   // 01111011
        0x6F,   // 01101111
        0x67,   // 01100111
        0x63,   // 01100011
        0x63,   // 01100011
        0x00    // 00000000
    },
// ASCII 0x4F - O
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x50 - P
    {
        0x7C,   // 01111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x7C,   // 01111100
        0x60,   // 01100000
        0x60,   // 01100000
        0x60,   // 01100000
        0x00    // 00000000
    },
// ASCII 0x51 - Q
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x0E    // 00001110
    },
// ASCII 0x52 - R
    {
        0x7C,   // 01111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x7C,   // 01111100
        0x6C,   // 01101100
        0x66,   // 01100110
        0x66,   // 01100110
        0x00    // 00000000
    },
// ASCII 0x53 - S
    {
        0x3C,   // 00111100
        0x66,   // 01100110
        0x30,   // 00110000
        0x18,   // 00011000
        0x0C,   // 00001100
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x54 - T
    {
        0x7E,   // 01111110
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x00    // 00000000
    },
// ASCII 0x55 - U
    {
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x56 - V
    {
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x18,   // 00011000
        0x00    // 00000000
    },
// ASCII 0x57 - W
    {
        0x63,   // 01100011
        0x63,   // 01100011
        0x6B,   // 01101011
        0x6B,   // 01101011
        0x6B,   // 01101011
        0x36,   // 00110110
        0x36,   // 00110110
        0x00    // 00000000
    },
// ASCII 0x58 - X
    {
        0x66,   // 01100110
        0x34,   // 00110100
        0x18,   // 00011000
        0x18,   // 00011000
        0x2C,   // 00101100
        0x66,   // 01100110
        0x66,   // 01100110
        0x00    // 00000000
    },
// ASCII 0x59 - Y
    {
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x00    // 00000000
    },
// ASCII 0x5A - Z
    {
        0x7E,   // 01111110
        0x06,   // 00000110
        0x0C,   // 00001100
        0x18,   // 00011000
        0x30,   // 00110000
        0x60,   // 01100000
        0x7E,   // 01111110
        0x00    // 00000000
    },
// ASCII 0x5B - [
    {
        0x3C,   // 00111100
        0x30,   // 00110000
        0x30,   // 00110000
        0x30,   // 00110000
        0x30,   // 00110000
        0x30,   // 00110000
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x5C - '\'
    {
        0x60,   // 01100000
        0x30,   // 00110000
        0x30,   // 00110000
        0x18,   // 00011000
        0x18,   // 00011000
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x06    // 00000110
    },
// ASCII 0x5D - ]
    {
        0x3C,   // 00111100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x5E - ^
    {
        0x18,   // 00011000
        0x3C,   // 00111100
        0x66,   // 01100110
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x5F - _
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x7E    // 01111110
    },
// ASCII 0x60 - `
    {
        0x38,   // 00111000
        0x18,   // 00011000
        0x0C,   // 00001100
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x61 - a
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x3C,   // 00111100
        0x06,   // 00000110
        0x3E,   // 00111110
        0x66,   // 01100110
        0x3E,   // 00111110
        0x00    // 00000000
    },
// ASCII 0x62 - b
    {
        0x60,   // 01100000
        0x60,   // 01100000
        0x7C,   // 01111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x7C,   // 01111100
        0x00    // 00000000
    },
// ASCII 0x63 - c
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x3C,   // 00111100
        0x66,   // 01100110
        0x60,   // 01100000
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x64 - d
    {
        0x06,   // 00000110
        0x06,   // 00000110
        0x3E,   // 00111110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3E,   // 00111110
        0x00    // 00000000
    },
// ASCII 0x65 - e
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x3C,   // 00111100
        0x66,   // 01100110
        0x7C,   // 01111100
        0x60,   // 01100000
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x66 - f
    {
        0x1E,   // 00011110
        0x30,   // 00110000
        0x30,   // 00110000
        0x7E,   // 01111110
        0x30,   // 00110000
        0x30,   // 00110000
        0x30,   // 00110000
        0x00    // 00000000
    },
// ASCII 0x67 - g
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x3E,   // 00111110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3E,   // 00111110
        0x06,   // 00000110
        0x7C    // 01111100
    },
// ASCII 0x68 - h
    {
        0x60,   // 01100000
        0x60,   // 01100000
        0x7C,   // 01111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x00    // 00000000
    },
// ASCII 0x69 - i
    {
        0x18,   // 00011000
        0x00,   // 00000000
        0x78,   // 01111000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x7E,   // 01111110
        0x00    // 00000000
    },
// ASCII 0x6A - j
    {
        0x0C,   // 00001100
        0x00,   // 00000000
        0x3C,   // 00111100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x0C,   // 00001100
        0x78    // 01111000
    },
// ASCII 0x6B - k
    {
        0x60,   // 01100000
        0x60,   // 01100000
        0x66,   // 01100110
        0x6C,   // 01101100
        0x78,   // 01111000
        0x6C,   // 01101100
        0x66,   // 01100110
        0x00    // 00000000
    },
// ASCII 0x6C - l
    {
        0x78,   // 01111000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x7E,   // 01111110
        0x00    // 00000000
    },
// ASCII 0x6D - m
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x7E,   // 01111110
        0x6B,   // 01101011
        0x6B,   // 01101011
        0x6B,   // 01101011
        0x63,   // 01100011
        0x00    // 00000000
    },
// ASCII 0x6E - n
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x7C,   // 01111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x00    // 00000000
    },
// ASCII 0x6F - o
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x3C,   // 00111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x00    // 00000000
    },
// ASCII 0x70 - p
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x7C,   // 01111100
        0x66,   // 01100110
        0x66,   // 01100110
        0x7C,   // 01111100
        0x60,   // 01100000
        0x60    // 01100000
    },
// ASCII 0x71 - q
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x3E,   // 00111110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3E,   // 00111110
        0x06,   // 00000110
        0x06    // 00000110
    },
// ASCII 0x72 - r
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x66,   // 01100110
        0x7E,   // 01111110
        0x60,   // 01100000
        0x60,   // 01100000
        0x60,   // 01100000
        0x00    // 00000000
    },
// ASCII 0x73 - s
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x3E,   // 00111110
        0x60,   // 01100000
        0x3C,   // 00111100
        0x06,   // 00000110
        0x7C,   // 01111100
        0x00    // 00000000
    },
// ASCII 0x74 - t
    {
        0x30,   // 00110000
        0x30,   // 00110000
        0x7E,   // 01111110
        0x30,   // 00110000
        0x30,   // 00110000
        0x30,   // 00110000
        0x1E,   // 00011110
        0x00    // 00000000
    },
// ASCII 0x75 - u
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3E,   // 00111110
        0x00    // 00000000
    },
// ASCII 0x76 - v
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x18,   // 00011000
        0x00    // 00000000
    },
// ASCII 0x77 - w
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x63,   // 01100011
        0x6B,   // 01101011
        0x6B,   // 01101011
        0x6B,   // 01101011
        0x36,   // 00110110
        0x00    // 00000000
    },
// ASCII 0x78 - x
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x66,   // 01100110
        0x3C,   // 00111100
        0x18,   // 00011000
        0x3C,   // 00111100
        0x66,   // 01100110
        0x00    // 00000000
    },
// ASCII 0x79 - y
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x66,   // 01100110
        0x66,   // 01100110
        0x66,   // 01100110
        0x3C,   // 00111100
        0x0C,   // 00001100
        0xF8    // 11111000
    },
// ASCII 0x7A - z
    {
        0x00,   // 00000000
        0x00,   // 00000000
        0x7E,   // 01111110
        0x06,   // 00000110
        0x3C,   // 00111100
        0x60,   // 01100000
        0x7E,   // 01111110
        0x00    // 00000000
    },
// ASCII 0x7B - {
    {
        0x0E,   // 00001110
        0x18,   // 00011000
        0x18,   // 00011000
        0x70,   // 01110000
        0x18,   // 00011000
        0x18,   // 00011000
        0x0E,   // 00001110
        0x00    // 00000000
    },
// ASCII 0x7C - |
    {
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18,   // 00011000
        0x18    // 00011000
    },
// ASCII 0x7D - }
    {
        0x70,   // 01110000
        0x18,   // 00011000
        0x18,   // 00011000
        0x0E,   // 00001110
        0x18,   // 00011000
        0x18,   // 00011000
        0x70,   // 01110000
        0x00    // 00000000
    },
// ASCII 0x7E - ~
    {
        0x71,   // 01110001
        0x99,   // 10011001
        0x8E,   // 10001110
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00,   // 00000000
        0x00    // 00000000
    },
// ASCII 0x7F - del
    { 0 }
};
