#include <bios.h>
#include <bios_flash.h>

char flash_erase_sector(unsigned char id) {
	return _trap0_1(TRAP0_FLASH_ERASE_SECTOR, id);
}

char flash_write(unsigned long addr, unsigned short *data, size_t len) {
	return _trap0_3(TRAP0_FLASH_WRITE, addr, (unsigned long)data, len);
}

unsigned long flash_get_address_by_id(unsigned char id) {
	return _trap0_1(TRAP0_FLASH_ADDRESS_BY_ID, id);
}
