#include <elf/elf.h>
#include <string.h>

const Elf32_Sym * elf_find_symbol(const Elf *prog, const char *name) {
	const Elf32_Shdr *sh, *strs = elf_find_shdr(prog, ".strtab");
	const Elf32_Sym *sym, *syms_end;

	if (!(sh = elf_find_shdr(prog, ".symtab")))
		return (Elf32_Sym*)0;

	sym = (const Elf32_Sym*)((const char*)prog + sh->sh_offset);
	syms_end = sym + (sh->sh_size / sizeof(Elf32_Sym));

	for (; sym < syms_end; ++sym) {
		const char *sname = elf_get_string(prog, strs, sym->st_name);
		if (sname && !strcmp(sname, name))
			return sym;
	}
	return (Elf32_Sym*)0;
}
